/* Chrome, Safari, Edge, Opera */

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
   -webkit-appearance: none;
   margin: 0;
}

/* Firefox */

input[type="number"] {
   -moz-appearance: textfield;
}

.light-style .menu .app-brand.demo {
   height: 64px;
}

.dark-style .menu .app-brand.demo {
   height: 64px;
}

.app-brand-logo.demo {
   -ms-flex-align: center;
   align-items: center;
   -ms-flex-pack: center;
   justify-content: center;
   display: -ms-flexbox;
   display: flex;
   width: 30px;
   height: 30px;
}

.app-brand-logo.demo svg {
   width: 1.7rem;
   height: 1.7rem;
}

.app-brand-text.demo {
   font-size: 1.75rem;
   letter-spacing: -0.45px;
}

.table-input:focus {
   outline: none;
   border-color: transparent;
}

/* ! For .layout-navbar-fixed added fix padding top tpo .layout-page */

.layout-navbar-fixed .layout-wrapper:not(.layout-without-menu) .layout-page {
   padding-top: 64px !important;
}

/* Navbar page z-index issue solution */

.content-wrapper .navbar {
   z-index: auto;
}

/*
* Content
******************************************************************************/

.demo-blocks > * {
   display: block !important;
}

.demo-inline-spacing > * {
   margin: 1rem 0.375rem 0 0 !important;
}

/* ? .demo-vertical-spacing class is used to have vertical margins between elements. To remove margin-top from the first-child, use .demo-only-element class with .demo-vertical-spacing class. For example, we have used this class in forms-input-groups.html file. */

.demo-vertical-spacing > * {
   margin-top: 1rem !important;
   margin-bottom: 0 !important;
}

.demo-vertical-spacing.demo-only-element > :first-child {
   margin-top: 0 !important;
}

.demo-vertical-spacing-lg > * {
   margin-top: 1.875rem !important;
   margin-bottom: 0 !important;
}

.demo-vertical-spacing-lg.demo-only-element > :first-child {
   margin-top: 0 !important;
}

.demo-vertical-spacing-xl > * {
   margin-top: 5rem !important;
   margin-bottom: 0 !important;
}

.demo-vertical-spacing-xl.demo-only-element > :first-child {
   margin-top: 0 !important;
}

.rtl-only {
   display: none !important;
   text-align: left !important;
   direction: ltr !important;
}

[dir="rtl"] .rtl-only {
   display: block !important;
}

/*
* Layout demo
******************************************************************************/

.layout-demo-wrapper {
   display: -ms-flexbox;
   display: flex;
   -ms-flex-align: center;
   align-items: center;
   -ms-flex-direction: column;
   flex-direction: column;
   margin-top: 1rem;
}

.layout-demo-placeholder img {
   width: 900px;
}

.layout-demo-info {
   text-align: center;
   margin-top: 1rem;
}

table.dataTable.table-style-2,
.table-style-2 {
   border-collapse: separate !important;
   border-spacing: 0rem 1rem !important;
}

table.dataTable.table-style-2 tr,
.table-style-2 tr {
   background: #fff;
}

.table-style-2 tr td:first-child,
.table-style-2 tr th:first-child {
   border-top-left-radius: 0.3125rem;
   border-bottom-left-radius: 0.3125rem;
}

.table-style-2 tr td:last-child,
.table-style-2 tr th:last-child {
   border-top-right-radius: 0.3125rem;
   border-bottom-right-radius: 0.3125rem;
}

.table-style-2 tr td {
   position: relative;
}

.table-style-2.align-top tr td {
   vertical-align: top;
}

.table-style-2 tr td:not(:last-child)::after {
   content: "";
   width: 1px;
   height: calc(100% - 20px);
   background: #f5f5f5;
   position: absolute;
   right: 0;
   top: 50%;
   transform: translateY(-50%);
}

/* datatable */
.dataTables_wrapper,
.dataTables_length,
.dataTables_filter {
   margin-top: 0 !important;
   margin-bottom: 0 !important;
}

.plane {
   position: relative;
   padding: 0px 20px;
}

.plane i {
   transform: rotate(90deg);
}

.plane::before,
.plane::after {
   content: "";
   position: absolute;
   width: 10px;
   height: 2px;
   background: #677788;
   top: 11px;
}

.plane::before {
   left: 0;
}

.plane::after {
   right: 0;
}

.nav-pills.nav-pills-secondary .nav-item {
   background: #eeeeee;
}

/* offcanvas */

.offcanvas-sm {
   max-width: 350px;
}

.datatable-search-input .dataTables_filter input {
   padding-left: 36px;
   margin-left: 0 !important;
}

.bg-light {
   background: "#f9fafb" !important;
}

.dummy-file {
   border: 2px dashed #d4d8dd;
   color: #677788;
   transition: all 0.2s linear;
}

.dummy-file:hover {
   background: #e5edfc;
   color: #5a8dee;
   border-color: #5a8dee;
}

/* Select multi */

.light-style .select2-selection--multiple .select2-selection__rendered {
   padding: 0rem 1.5rem 0.375rem 0.375rem;
}

.select2-container--default .select2-selection--multiple .select2-selection__rendered {
   position: relative;
}

.select2-container--default .select2-selection--multiple .select2-selection__clear {
   position: absolute;
   right: 0;
   margin: 6px 8px 0px;
}

.text-overflow-hidden {
   overflow: hidden;
   white-space: nowrap;
   text-overflow: ellipsis;
}

/* CSV table */

.csv-table tr td {
   white-space: nowrap;
}

.csv-table td:first-child,
.csv-table th:first-child {
   border-left-width: 1px !important;
}

.csv-table td:last-child,
.csv-table th:last-child {
   border-right-width: 1px !important;
}

/* Form builder */

.custom-form .form-wrap.form-builder .stage-wrap {
   margin-left: 20px;
}

.custom-form .form-wrap.form-builder .frmb li.form-field {
   border: 1px dashed transparent !important;
   padding: 1rem;
}

.custom-form .form-wrap.form-builder .frmb li.form-field:hover {
   --tw-border-opacity: 1 !important;
   --tw-shadow: 0 0 #0000;
   --tw-shadow-colored: 0 0 #0000;
   border-color: rgb(209 213 219 / 1) !important;
   border-radius: 0.25rem;
   box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000),
      var(--tw-shadow);
   outline: 2px solid transparent;
   outline-offset: 2px;
}

.custom-form .formbuilder-mobile.form-wrap.form-builder .field-actions {
   opacity: 0;
}

.custom-form .cb-wrap li.disabled {
   --tw-bg-opacity: 1;
   background-color: rgb(243 244 246 / var(--tw-bg-opacity)) !important;
   pointer-events: none;
}

.custom-form .cb-wrap li.disabled *,
.custom-form .cb-wrap li.disabled:before {
   opacity: 0.6;
}

.custom-form .form-wrap.form-builder .frmb .prev-holder input[type="date"] {
   width: 100%;
}

.custom-form .form-wrap.form-builder .frmb li.form-field .field-label {
   display: inline-block;
   font-size: 0.8rem;
}

.custom-form .form-wrap.form-builder .frmb .prev-holder select,
.custom-form .form-wrap.form-builder .frmb .prev-holder input[type="text"],
.custom-form .form-wrap.form-builder .frmb .prev-holder textarea,
.custom-form .form-wrap.form-builder .frmb .prev-holder input[type="number"] {
   border-color: #d4d8dd;
   box-shadow: none;
}
.custom-form .form-wrap.form-builder .frmb .prev-holder select:focus,
.custom-form .form-wrap.form-builder .frmb .prev-holder input[type="text"]:focus,
.custom-form .form-wrap.form-builder .frmb .prev-holder textarea:focus,
.custom-form .form-wrap.form-builder .frmb .prev-holder input[type="number"]:focus,
.custom-form .form-wrap.form-builder.formbuilder-embedded-bootstrap .form-control:focus {
   border-color: #5a8dee;
   box-shadow: 0 0.0625rem 0.1875rem 0 rgba(38, 60, 85, 0.18);
}

.light-style .user-profile-header .user-profile-img {
   border: 5px solid #fff;
   width: 120px;
}

.user-profile-header {
   margin-top: -2rem;
}

/* .select2-container {
    z-index: 9999;
} */

.text-body.hover-danger:hover {
   color: #ff5b5c !important;
}

.file-card .card-body {
   min-height: 150px;
}

.file-card .file-name {
   font-weight: 500;
   overflow: hidden;
   text-overflow: ellipsis;
   white-space: nowrap;
}

.file-card .card-footer {
   padding: 0.75rem 1.25rem;
}

.accordion .accordion-item {
   border-top: 1px solid #d4d8dd;
   box-shadow: none !important;
}

.traveller-acord span > .bxs-checkbox-checked,
.traveller-acord span.checked > .bx-checkbox {
   display: none;
}

.traveller-acord span > .bx-checkbox,
.traveller-acord span.checked > .bxs-checkbox-checked {
   display: block;
}

.trip-card {
   background: #93c5eb;
   background: linear-gradient(315deg, #134885, #1f3356);
   background: linear-gradient(315deg, #93c5eb, #134885);
   color: #fff;
}

@media (max-width: 575px) {
   .trip-location .place {
      font-size: 1rem;
   }
}

.badge-sm {
   font-size: 0.75rem;
}

.badge-size-sm {
   width: 1.25rem;
   height: 1.25rem;
}

.badge-size-lg {
   width: 1.75rem;
   height: 1.75rem;
}

.mw-200 {
   max-width: 200px;
}

.border-dashed {
   border: 1px dashed #e9ebec !important;
}

/* Tabs */

.nav-scrollable-tabs {
   --tw-scroll-snap-strictness: mandatory;
   display: -webkit-box;
   display: -moz-box;
   overflow-x: auto;
   overflow-y: hidden;
   scroll-snap-type: x var(--tw-scroll-snap-strictness);
}

.nav-scrollable-tabs::-webkit-scrollbar {
   height: 0 !important;
   width: 0 !important;
}

.horizontal-scrollable-tabs:has(.nav-tabs-segmented) .arrow-left {
   border-bottom-left-radius: 0.5rem;
   border-top-left-radius: 0.5rem;
   margin-right: -0.25rem;
   padding-right: 0.75rem;
}

.horizontal-scrollable-tabs:has(.nav-tabs-segmented) .arrow-right {
   border-bottom-right-radius: 0.5rem;
   border-top-right-radius: 0.5rem;
   margin-left: -0.25rem;
   padding-left: 0.75rem;
}

.horizontal-scrollable-tabs:has(.nav-tabs-segmented) .scroller {
   --tw-bg-opacity: 1;
   background-color: rgb(237 239 241 / var(--tw-bg-opacity));
   border-width: 0;
   padding-bottom: calc(0.75rem + 1px);
   padding-top: calc(0.75rem + 1px);
   position: relative;
}
.horizontal-scrollable-tabs .scroller {
   --tw-border-opacity: 1;
   --tw-bg-opacity: 1;
   --tw-text-opacity: 1;
   background-color: transparent;
   background-color: rgb(243 244 246 / var(--tw-bg-opacity));
   border-bottom-width: 1px;
   border-color: rgb(229 231 235 / var(--tw-border-opacity));
   border-style: solid;
   color: rgb(75 85 99 / var(--tw-text-opacity));
   cursor: pointer;
   display: none;
   font-size: 0.86rem;
   font-weight: 600;
   margin-bottom: 1px;
   padding: 0.625rem;
}
.horizontal-scrollable-tabs .arrow-left {
   float: left;
}

.horizontal-scrollable-tabs .arrow-right {
   float: right;
}

.horizontal-scrollable-tabs:has(.nav-tabs-segmented) .scroller.disabled > i {
   opacity: 0.4;
}

.horizontal-tabs .nav-tabs-horizontal.nav-tabs-segmented,
.nav-tabs-segmented {
   background-color: rgba(209, 213, 219, 0.3);
   border-radius: 0.5rem;
   padding: 0.25rem;
   flex-wrap: nowrap;
}

.nav-scrollable-tabs > li {
   float: none;
   min-width: 50px;
   scroll-snap-align: end;
   scroll-snap-stop: normal;
   text-align: center;
   flex-shrink: 0;
}

.nav-scrollable-tabs > li .nav-link {
   margin-bottom: 1px;
}

.nav-tabs-segmented .open > a,
.nav-tabs-segmented .open > a:focus,
.nav-tabs-segmented .open > a:hover,
.nav-tabs-segmented > li > a.active {
   border-radius: 0.5rem;
   box-shadow: 0 0.0625rem 0.1875rem 0 rgba(38, 60, 85, 0.18);
}

/* rating */

.overall-rating {
   width: 145px;
   height: 145px;
   border-radius: 50%;
   border: 3px solid #5a8dee;
   color: #fff !important;
   margin: 0 auto;
   border: 3px solid #bbdefb;
}

.offcanvas-size-sm {
   max-width: 350px;
}
